Cancel a verification request

You can send a cancellation request to the Verify API to terminate the verification process, even if the user supplied the correct code.

Where needed, replace the following variables in the sample code with your own values:

KeyDescription
JWT

Used to authenticate your request. See Authentication for more information, including how to generate a JWT.

REQUEST_ID

The ID of the Verify request (this is returned in the API response when you send a verification code)

VONAGE_APPLICATION_PRIVATE_KEY_PATH

Private key path.

VONAGE_APPLICATION_ID

The Vonage Application ID.

Write the code

Add the following to cancel-request.sh:

curl -X DELETE "https://api.nexmo.com/v2/verify/$VERIFY_REQUEST_ID" \
  -H "Authorization: Bearer $JWT"\
  -H 'Content-Type: application/json'

View full source

Run your code

Save this file to your machine and run it:

sh cancel-request.sh

Prerequisites

npm install @vonage/server-sdk

Create a file named cancel-request.js and add the following code:

const { Vonage } = require('@vonage/server-sdk');

const vonage = new Vonage ({
  applicationId: VONAGE_APPLICATION_ID,
  privateKey: VONAGE_APPLICATION_PRIVATE_KEY_PATH,
});

View full source

Write the code

Add the following to cancel-request.js:

vonage.verify2.cancel(VERIFY_REQUEST_ID)
  .then((status) => status
    ? console.log('Request cancelled')
    : console.log('Request was already fullfilled or request id is invalid'),
  )
  .catch((error) => console.error(error));

View full source

Run your code

Save this file to your machine and run it:

node cancel-request.js

Prerequisites

Add the following to build.gradle:

implementation 'com.vonage:server-sdk-kotlin:2.1.1'

Create a file named CancelVerificationRequest and add the following code to the main method:

val client = Vonage {
    applicationId(VONAGE_APPLICATION_ID)
    privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
}

View full source

Write the code

Add the following to the main method of the CancelVerificationRequest file:

client.verify.request(VERIFY_REQUEST_ID).cancel()

View full source

Run your code

We can use the application plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:

apply plugin: 'application'
mainClassName = project.hasProperty('main') ? project.getProperty('main') : ''

Run the following gradle command to execute your application, replacing com.vonage.quickstart.kt.verify with the package containing CancelVerificationRequest:

gradle run -Pmain=com.vonage.quickstart.kt.verify.CancelVerificationRequest

Prerequisites

Add the following to build.gradle:

implementation 'com.vonage:server-sdk:9.3.1'

Create a file named CancelRequest and add the following code to the main method:

VonageClient client = VonageClient.builder()
		.applicationId(VONAGE_APPLICATION_ID)
		.privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
		.build();

View full source

Write the code

Add the following to the main method of the CancelRequest file:

client.getVerify2Client().cancelVerification(VERIFY_REQUEST_UUID);

View full source

Run your code

We can use the application plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:

apply plugin: 'application'
mainClassName = project.hasProperty('main') ? project.getProperty('main') : ''

Run the following gradle command to execute your application, replacing com.vonage.quickstart.verify2 with the package containing CancelRequest:

gradle run -Pmain=com.vonage.quickstart.verify2.CancelRequest

Prerequisites

Install-Package Vonage

Create a file named CancelRequest.cs and add the following code:

using Vonage;
using Vonage.Request;

View full source

Add the following to CancelRequest.cs:

var credentials = Credentials.FromAppIdAndPrivateKeyPath(VONAGE_APPLICATION_ID, VONAGE_APPLICATION_PRIVATE_KEY_PATH);
var client = new VonageClient(credentials);

View full source

Write the code

Add the following to CancelRequest.cs:

var request = Vonage.VerifyV2.Cancel.CancelRequest.Parse(REQUEST_ID);
var response = await client.VerifyV2Client.CancelAsync(request);

View full source

Prerequisites

composer require vonage/client

Create a file named cancel.php and add the following code:

$client = new Vonage\Client(
    new Vonage\Client\Credentials\Keypair(VONAGE_APPLICATION_PRIVATE_KEY_PATH, VONAGE_APPLICATION_ID),
);

View full source

Write the code

Add the following to cancel.php:

$newRequest = new \Vonage\Verify2\Request\SMSRequest(VERIFY_NUMBER, VERIFY_BRAND_NAME);

$client->verify2()->cancelRequest(REQUEST_ID);

View full source

Run your code

Save this file to your machine and run it:

php cancel.php

Prerequisites

pip install vonage python-dotenv

Write the code

Add the following to cancel-request.py:

from vonage import Auth, Vonage

client = Vonage(
    Auth(
        application_id=VONAGE_APPLICATION_ID,
        private_key=VONAGE_PRIVATE_KEY,
    )
)

client.verify.cancel_verification(request_id=VERIFY_REQUEST_ID)

View full source

Run your code

Save this file to your machine and run it:

python verify/cancel-request.py

Prerequisites

gem install vonage

Create a file named cancel.rb and add the following code:

client = Vonage::Client.new(
  application_id: VONAGE_APPLICATION_ID,
  private_key: VONAGE_PRIVATE_KEY
)

View full source

Write the code

Add the following to cancel.rb:

client.verify2.cancel_verification_request(
  request_id: VERIFY_REQUEST_ID
)

View full source

Run your code

Save this file to your machine and run it:

ruby cancel.rb